# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-helpdesk
%define fedora 19
%global pkgname django-helpdesk

Name:           python-module-django-helpdesk
Version:        0.1.8
Release:        alt1_2
Summary:        A Django powered ticket tracker for small enterprise

Group:          Development/Python
License:        BSD
URL:            https://github.com/rossp/django-helpdesk
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-pytz

%if 0%{?fedora} >= 18
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%else
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%endif
Source44: import.info


%description

Django-helpdesk - A Django powered ticket tracker for small enterprise.

Copyright 2009-11 Jutda and Ross Poulton. All Rights Reserved. See LICENSE 
for details.

django-helpdesk was formerly known as Jutda Helpdesk, named after the 
company who originally created it. As of January 2011 the name has been 
changed to reflect what it really is: a Django-powered ticket tracker 
with contributors reaching far beyond Jutda.

Complete documentation is available in the docs/ directory, or online 
at http://django-helpdesk.readthedocs.org/.

You can see a demo installation at http://django-helpdesk-demo.herokuapp.com/

%prep
%setup -q -n %{pkgname}-%{version} 
rm -rf %{pkgname}.egg-info
rm -rf helpdesk/management/commands/*.py
rm -rf helpdesk/static/helpdesk/helpdesk-print.css

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd %{buildroot} && find . -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> %{pkgname}.lang

%check
python setup.py test
 
%files -f %{pkgname}.lang
%doc LICENSE.3RDPARTY LICENSE
%{python_sitelibdir_noarch}/helpdesk
%{python_sitelibdir_noarch}/django_helpdesk-*.egg-info

%changelog
* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1_2
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7b-alt1_3
- initial fc import

